Skip to main content
GET
/
api
/
audit-trail
/
stats
Audit Trail Stats
curl --request GET \
  --url https://api.example.com/api/audit-trail/stats \
  --header 'Authorization: Bearer <token>'
{
  "by_event_type": {},
  "by_category": {},
  "by_severity": {},
  "by_actor": {},
  "total": 0,
  "usage_by_day": [
    {
      "date": "<string>",
      "total_records": 0
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Query Parameters

search
string | null
event_types
string | null

Comma-separated event types

categories
string | null

Comma-separated categories

actors
string | null

Comma-separated actors

entity_type
string | null
entity_id
string | null
severities
string | null

Comma-separated severities

date_from
string<date-time> | null
date_to
string<date-time> | null
application_id
string | null
registered_params_only
boolean
default:false
param_filters
string | null

JSON array of {key, operator, value}

Cookies

antidote_session
string | null

Response

Successful Response

by_event_type
By Event Type · object
by_category
By Category · object
by_severity
By Severity · object
by_actor
By Actor · object
total
integer
default:0
usage_by_day
AuditTimelinePoint · object[]